Dépannage : Résoudre des incompatibilités de conteneurs d'exécution Databricks - Cloud

Guide d'utilisation de Talend Cloud Management Console for Pipelines

author
Talend Documentation Team
EnrichVersion
Cloud
EnrichProdName
Talend Cloud
task
Administration et monitoring > Gestion des projets
Administration et monitoring > Gestion des utilisateurs
Déploiement > Déploiement > Exécution de Tâches
Déploiement > Ordonnancement > Ordonnancement de Tâches
EnrichPlatform
Talend Management Console
Lorsque vous mettez à niveau un Remote Engine Gen2 utilisant un cluster Databricks, vous pouvez rencontrer des problèmes de compatibilité au cours des exécutions de pipelines. Vous pouvez voir ce message d'erreur dans les logs :
Incompatible runtime found : Cluster runtime version =/= Engine runtime version

Cause

Cette erreur est liée au fait que Talend Cloud Pipeline Designer nécessite un cluster Databricks avec des bibliothèques compatibles, afin de soumettre des pipelines depuis un Remote Engine Gen2.

Dépannage

Procédure

  1. Pour résoudre ce problème, connectez-vous à votre compte Databricks et allez dans la page Clusters.
  2. Sélectionnez votre cluster existant et allez dans l'onglet Libraries afin de désinstaller les anciennes bibliothèques.

    La suppression de ces anciennes dépendances doit résoudre le problème de compatibilité et vous pouvez exécuter des pipelines sur votre nouveau moteur, avec le même cluster Databricks.